# Generated by Django 3.1.3 on 2020-11-07 16:49

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Alias',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('source_username', models.CharField(max_length=64)),
                ('source_domain', models.CharField(max_length=255)),
                ('destination_username', models.CharField(max_length=64)),
                ('destination_domain', models.CharField(max_length=255)),
                ('enabled', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'db_table': 'aliases',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Domain',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('domain', models.CharField(max_length=255)),
            ],
            options={
                'db_table': 'domains',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Mailbox',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('username', models.CharField(max_length=64)),
                ('domain', models.CharField(max_length=255)),
                ('password', models.CharField(max_length=255)),
                ('quota', models.IntegerField(blank=True, null=True)),
                ('enabled', models.IntegerField(blank=True, null=True)),
                ('sendonly', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'db_table': 'mailboxes',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='TLSPolicy',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('domain', models.CharField(max_length=255)),
                ('policy', models.TextField()),
                ('params', models.CharField(blank=True, max_length=255, null=True)),
            ],
            options={
                'db_table': 'tlspolicies',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DomainOwner',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('admin', models.CharField(max_length=200)),
                ('source', models.CharField(choices=[('system', 'system'), ('ldap', 'ldap'), ('mail', 'mail')], default=0, max_length=8)),
                ('domain', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='admin', to='multimail.domain')),
            ],
        ),
    ]
